Mise à jour de GitLab prévue ce samedi 23 octobre 2021 à partir de 9h00 CET

Commit a43dce36 authored by Éloïs's avatar Éloïs
Browse files

v0.58.0

parent 0da246c6
Pipeline #12834 failed with stages
in 3 minutes and 10 seconds
......@@ -9,6 +9,8 @@ and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0
## [Unreleased] - ReleaseDate
## [0.58.0] - 2021-05-31
## [0.57.0] - 2021-05-20
## [0.56.0] - 2021-05-20
......@@ -157,7 +159,8 @@ and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0
Initial version.
<!-- next-url -->
[Unreleased]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.57.0...HEAD
[Unreleased]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.58.0...HEAD
[0.58.0]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.57.0...v0.58.0
[0.57.0]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.56.0...v0.57.0
[0.56.0]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.55.1...v0.56.0
[0.55.1]: https://git.duniter.org/libs/dubp-rs-libs/compare/v0.54.1...v0.55.1
......
......@@ -434,7 +434,7 @@ dependencies = [
[[package]]
name = "dubp"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"dubp-block",
"dubp-common",
......@@ -449,7 +449,7 @@ dependencies = [
[[package]]
name = "dubp-block"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"bincode",
"dubp-documents",
......@@ -465,7 +465,7 @@ dependencies = [
[[package]]
name = "dubp-common"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"bincode",
"dup-crypto",
......@@ -478,7 +478,7 @@ dependencies = [
[[package]]
name = "dubp-documents"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"beef",
"dubp-wallet",
......@@ -493,7 +493,7 @@ dependencies = [
[[package]]
name = "dubp-documents-parser"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"dubp-documents",
"json-pest-parser",
......@@ -506,7 +506,7 @@ dependencies = [
[[package]]
name = "dubp-wallet"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"byteorder",
"dubp-common",
......@@ -521,7 +521,7 @@ dependencies = [
[[package]]
name = "duniter-bda-types"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"arrayvec 0.7.0",
"bincode",
......@@ -534,7 +534,7 @@ dependencies = [
[[package]]
name = "duniter-peer"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"beef",
"dubp-common",
......@@ -550,7 +550,7 @@ dependencies = [
[[package]]
name = "dup-crypto"
version = "0.57.0"
version = "0.58.0"
dependencies = [
"arrayvec 0.7.0",
"base64",
......
......@@ -7,20 +7,20 @@ license = "AGPL-3.0"
name = "dubp"
readme = "README.md"
repository = "https://git.duniter.org/libs-dupb-rs-libs"
version = "0.57.0"
version = "0.58.0"
[lib]
path = "lib.rs"
[dependencies]
dubp-block = { path = "block", optional = true, version = "0.57.0" }
dubp-common = { path = "common", version = "0.57.0" }
dubp-documents = { path = "documents", version = "0.57.0" }
dubp-documents-parser = { path = "documents-parser", version = "0.57.0" }
dubp-wallet = { path = "wallet", version = "0.57.0" }
duniter-bda-types = { path = "bda-types", version = "0.57.0" }
duniter-peer = { path = "peer", version = "0.57.0" }
dup-crypto = { path = "crypto", default-features = false, version = "0.57.0" }
dubp-block = { path = "block", optional = true, version = "0.58.0" }
dubp-common = { path = "common", version = "0.58.0" }
dubp-documents = { path = "documents", version = "0.58.0" }
dubp-documents-parser = { path = "documents-parser", version = "0.58.0" }
dubp-wallet = { path = "wallet", version = "0.58.0" }
duniter-bda-types = { path = "bda-types", version = "0.58.0" }
duniter-peer = { path = "peer", version = "0.58.0" }
dup-crypto = { path = "crypto", default-features = false, version = "0.58.0" }
[features]
......
[package]
name = "duniter-bda-types"
version = "0.57.0"
version = "0.58.0"
authors = ["librelois <elois@duniter.org>"]
description = "Provide Binary Duniter Api (BDA) types definition."
license = "AGPL-3.0"
......@@ -9,8 +9,8 @@ edition = "2018"
[dependencies]
arrayvec = { version = "0.7", features = ["serde"] }
bincode = "1.3"
dubp-documents = { path = "../documents", default-features = false, version = "0.57.0" }
duniter-peer = { path = "../peer", default-features = false, version = "0.57.0" }
dubp-documents = { path = "../documents", default-features = false, version = "0.58.0" }
duniter-peer = { path = "../peer", default-features = false, version = "0.58.0" }
serde = { version = "1.0.105", features = ["derive"] }
smallvec = { version = "1.6.0", features = ["serde"] }
thiserror = "1.0.20"
......
[package]
name = "dubp-block"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Handle DUBP block (DUBP: DUniter Blockhain Protocol)."
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -13,8 +13,8 @@ edition = "2018"
path = "src/lib.rs"
[dependencies]
dubp-documents = { path = "../documents", default-features = false, version = "0.57.0" }
dubp-documents-parser = { path = "../documents-parser", default-features = false, version = "0.57.0" }
dubp-documents = { path = "../documents", default-features = false, version = "0.58.0" }
dubp-documents-parser = { path = "../documents-parser", default-features = false, version = "0.58.0" }
json-pest-parser = "0.3.0"
serde = { version = "1.0.*", features = ["derive"] }
serde_json = "1.0.*"
......
[package]
name = "dubp-common"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Provide common tools and types for DUBP."
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -13,7 +13,7 @@ edition = "2018"
path = "src/lib.rs"
[dependencies]
dup-crypto = { path = "../crypto", default-features = false, version = "0.57.0" }
dup-crypto = { path = "../crypto", default-features = false, version = "0.58.0" }
serde = { version = "1.0.105", features = ["derive"] }
serde_json = "1.0.57"
thiserror = "1.0.20"
......
[package]
name = "dup-crypto"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <c@elo.tf>"]
description = "Manage cryptographic operations for DUniter Protocols and the Duniter eco-system most broadly."
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......
[package]
name = "dubp-documents-parser"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Parser for DUBP documents."
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -13,7 +13,7 @@ edition = "2018"
path = "src/lib.rs"
[dependencies]
dubp-documents = { path = "../documents", default-features = false, version = "0.57.0" }
dubp-documents = { path = "../documents", default-features = false, version = "0.58.0" }
json-pest-parser = "0.3.0"
pest = "2.1.3"
pest_derive = "2.1.0"
......
[package]
name = "dubp-documents"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Handles DUBP documents (DUBP: DUniter Blockhain Protocol)"
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -14,7 +14,7 @@ path = "src/lib.rs"
[dependencies]
beef = "0.5.0"
dubp-wallet = { path = "../wallet", default-features = false, version = "0.57.0" }
dubp-wallet = { path = "../wallet", default-features = false, version = "0.58.0" }
log = "0.4.*"
serde = { version = "1.0.*", features = ["derive"] }
serde_json = "1.0.*"
......
[package]
name = "duniter-peer"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Handle duniter peerd card"
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -14,7 +14,7 @@ path = "src/lib.rs"
[dependencies]
beef = "0.5.0"
dubp-common = { path = "../common", default-features = false, version = "0.57.0" }
dubp-common = { path = "../common", default-features = false, version = "0.58.0" }
log = "0.4.*"
serde = { version = "1.0.*", features = ["derive"] }
serde_json = "1.0.*"
......
[package]
name = "dubp-wallet"
version = "0.57.0"
version = "0.58.0"
authors = ["elois <elois@duniter.org>"]
description = "Provide wallet definition for DUBP protocol"
repository = "https://git.duniter.org/libs/dubp-rs-libs"
......@@ -14,7 +14,7 @@ path = "src/lib.rs"
[dependencies]
byteorder = "1.3.4"
dubp-common = { path = "../common", default-features = false, version = "0.57.0" }
dubp-common = { path = "../common", default-features = false, version = "0.58.0" }
serde = { version = "1.0.*", features = ["derive"] }
smallvec = { version = "1.6.1", features = ["serde"] }
thiserror = "1.0.20"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment